### Signal

# WPEWebKit WebView::run-file-chooser

#### Declaration

    gboolean
    run_file_chooser (
      WebKitWebView* self,
      WebKitFileChooserRequest* request,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the user interacts with a HTML element, requesting from WebKit to show a dialog to select one or more files to be uploaded. To let the application know the details of the file chooser, as well as to allow the client application to either cancel the request or perform an actual selection of files, the signal will pass an instance of the `WebKitFileChooserRequest` in the `request` argument.

The default signal handler will asynchronously run a regular `GtkFileChooserDialog` for the user to interact with.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`request`

  Type: `WebKitFileChooserRequest`

  A `WebKitFileChooserRequest`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.